petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerDrawGetDrawLG

Returns PetscDrawLG object from PetscViewer object. This PetscDrawLG object may then be used to perform graphics using PetscDrawLGXXX() commands.

### Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscViewerDrawGetDrawLG(PetscViewer viewer,PetscInt windownumber,PetscDrawLG *drawlg)

Collective on PetscViewer Many br

### Input Parameter

| PetscViewer | - the PetscViewer (created with PetscViewerDrawOpen()) Many br
| windownumber | - indicates which subwindow (usually 0) Many br

### Ouput Parameter

draw -the draw line graph object Many br

Many br

### See Also

PetscViewerDrawGetDraw(), PetscViewerDrawGetAxis(), PetscViewerDrawOpen()

Level:intermediate
Location:src/sys/classes/viewer/impls/draw/drawv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages